%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		python26-pypoker-eval
Version:	136.0
Release:	2
BuildArch:	i686
Summary:	Python interface to poker-eval
Group:		Development/Libraries
License:	GNU/GPL
URL:		http://pokersource.org/pypoker-eval
Source0:	http://download.gna.org/pokersource/sources/pypoker-eval-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: 	python26-devel
BuildRequires: 	poker-eval-devel

Obsoletes:	pypoker-eval <= %{version}-%{release}
Provides:	pypoker-eval = %{version}-%{release}

%description
This package is python adaptor for the poker-eval toolkit for
writing programs which simulate or analyze poker games.

%package	devel
Summary:	Files needed for developing programs which use pypoker-eval
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	pypoker-eval-devel <= %{version}-%{release}
Provides:	pypoker-eval-devel = %{version}-%{release}


%description	devel
This package contains files required to build applications that use
pypoker-eval.

%prep
%setup -q -n pypoker-eval-%{version}
# make examples directory for devel %doc
mkdir -p tmp/examples
cp test.py tmp/examples

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove libtool archives
rm -f $RPM_BUILD_ROOT%{python_sitearch}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitearch}/*.so*
%{python_sitearch}/*.py*

%files devel
%defattr(-,root,root,-)
%doc tmp/examples
%{_libdir}/pkgconfig/pypoker-eval.pc

%changelog
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 136.0-2
- python 2.6
* Tue May 12 2009 Christian Wasem <wasem@ccux-linux.de> 136.0-1
- Version update, build with explicit /usr/bin/python2.5
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 134.0-1
- Initial release
